# Study Notes

> 阅读《Rust权威指南》来学习Rust语言, 并根据该书章节记录相应笔记。

### Chapter 3 通用编程概念

1. 不可变变量和常量

   虽然不可变量和常量都是"不可变"的, 但两者是不同的, 不可变量在声明后不可变, 但是如何重新使用`let`声明同名变量, 该变量依然"变化"了。而常量需要使用`const`声明, 而且在作用域内一直不可变, 也不能重新声明来“改变”其值。

   ```rust
   // various 不可变变量
   let various = 5
   // various = 10, 虽然various变了, 但是已经是一个新的"various", 不同于上面声明的"various"
   let various = various + 5
   // 常量声明
   const CONST_VALUE = 5
   ```

   

   

